Botan 1.10.17

Public Member Functions | List of all members
Botan::Invalid_OID Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Invalid_OID:

## Public Member Functions
| Invalid_OID (const std::string &oid)

## Detailed Description

Invalid_OID Exception

Definition at line 156 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Invalid_OID()

Botan::Invalid_OID::Invalid_OID | ( | const std::string & | oid | ) |
| inline

Definition at line 158 of file exceptn.h.

158 :
159 Decoding_Error("Invalid ASN.1 OID: " + oid) {}
Botan::Decoding_Error::Decoding_Error
Decoding_Error(const std::string &name)
Definition: exceptn.h:140
oid
OID oid
Definition: x509_ext.cpp:446

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h